import 'package:flutter/material.dart';
import 'package:factory_signage_app/const/colors.dart';
import 'package:factory_signage_app/const/dimens.dart';
import 'package:factory_signage_app/const/string.dart';
import 'package:factory_signage_app/widget/date.dart';

class Header extends StatelessWidget {
  const Header(
      {super.key, this.size = const Size(double.infinity, double.infinity)});
  final Size size;

  @override
  Widget build(BuildContext context) {
    final Size widgetSize = MediaQuery.of(context).size;

    return SizedBox(
      width: size.width,
      height: size.height,
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: [
          signageTitle(widgetSize),
          Date(size: widgetSize),
        ],
      ),
    );
  }

  Widget signageTitle(Size widgetSize) {
    return Text(
      appTitle,
      style: TextStyle(
        color: textWhiteColor,
        fontSize: titleFontSizeRatio * widgetSize.height,
      ),
    );
  }
}
